Bug 806018 - Review Request: jboss-jsf-2.1-api - JavaServer Faces 2.1 API
Review Request: jboss-jsf-2.1-api - JavaServer Faces 2.1 API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Asaf Shakarchi
Fedora Extras Quality Assurance
:
Depends On: 804824
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 13:18 EDT by Juan Hernández
Modified: 2013-08-05 19:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: jboss-jsf-2.1-api-2.0.2-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
asaf: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-03-22 13:18:18 EDT
Spec URL:

http://jhernand.fedorapeople.org/rpms/jboss-jsf-2.1-api/2.0.2-1/jboss-jsf-2.1-api.spec

SRPM URL:

http://jhernand.fedorapeople.org/rpms/jboss-jsf-2.1-api/2.0.2-1/jboss-jsf-2.1-api-2.0.2-1.fc18.src.rpm

Description:

JavaServer(tm) Faces API classes based on Version 2.1 of Specification.
Comment 1 Juan Hernández 2012-03-23 13:57:47 EDT
Fixed to use %global instead of %define:

jhernand.fedorapeople.org/rpms/jboss-jsf-2.1-api/2.0.2-2
Comment 2 Asaf Shakarchi 2012-03-26 14:22:00 EDT
I am taking this for a review.
Comment 3 Marek Goldmann 2012-03-28 07:45:54 EDT
Asaf, are you going to review this or I can take it?
Comment 4 Asaf Shakarchi 2012-03-28 15:13:51 EDT
Juan,

Artifact javax.validation:validation-api:jar:1.0.0.GA is not available,


Please add 'BuildRequires:: geronimo-validation' to the spec file so I can continue the review,


Thanks,
Asaf.
Comment 5 Juan Hernández 2012-03-28 15:33:27 EDT
Fixed the build requirements. The updated package is available here:

http://jhernand.fedorapeople.org/rpms/jboss-jsf-2.1-api/2.0.2-3

It builds correctly in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940852
Comment 6 Asaf Shakarchi 2012-03-29 02:58:05 EDT
Can you please explain why you have added 'objenesis' as a required dependency in build time ? 

It is a lib for instantiating java objects, I hardly believe this is required in build time and not in run time.

Either way I can't see a reference for this library at all in the upstream version.


Thanks.
Comment 7 Juan Hernández 2012-03-29 03:56:52 EDT
Without that objenesis package I get the following build error:

[ERROR] Failed to execute goal org.apache.felix:maven-bundle-plugin:2.3.7:manifest (bundle-manifest) on project jboss-jsf-api_2.1_spec: Execution bundle-manifest of goal org.apache.felix:maven-bundle-plugin:2.3.7:manifest failed: Plugin org.apache.felix:maven-bundle-plugin:latest or one of its dependencies could not be resolved: The repository system is offline but the artifact org.objenesis:objenesis:jar:1.2 is not available in the local repository. -> [Help 1]
Comment 8 Asaf Shakarchi 2012-03-29 08:32:32 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

Output of rpmlint of the source package:

$ rpmlint jboss-jsf-2.1-api-2.0.2-3.fc18.src.rpm
jboss-jsf-2.1-api.src: I: enchant-dictionary-not-found en_US
jboss-jsf-2.1-api.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-jsf-2.1-api.src: W: invalid-url Source0: jboss-jsf-2.1-api-2.0.2.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These warnings are acceptable.


Output of rpmlint of the binary packages:

$ rpmlint jboss-jsf-2.1-api-2.0.2-3.fc18.noarch.rpm
jboss-jsf-2.1-api.noarch: I: enchant-dictionary-not-found en_US
jboss-jsf-2.1-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This warning is acceptable.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format
%{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3940852

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging
Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: CDDL or GPLv2 with exceptions.
[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.

Checked using a recursive diff of the sources.

[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other
packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with
good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT
mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc
subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that
tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be
removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when
building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of
%{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on
jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3943207

================
*** APPROVED ***
================
Comment 9 Juan Hernández 2012-03-29 08:41:46 EDT
New Package SCM Request
=======================
Package Name: jboss-jsf-2.1-api
Short Description: JavaServer Faces 2.1 API
Owners: jhernand
Branches: f17
InitialCC: goldmann
Comment 10 Gwyn Ciesla 2012-03-29 10:18:00 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-03-29 10:48:23 EDT
jboss-jsf-2.1-api-2.0.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-jsf-2.1-api-2.0.2-3.fc17
Comment 12 Fedora Update System 2012-03-29 22:57:14 EDT
jboss-jsf-2.1-api-2.0.2-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-04-11 22:34:11 EDT
jboss-jsf-2.1-api-2.0.2-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.